%define module	XML-Sablotron
%define version 0.97
%define release 1mdk

Summary:	Sablotron XSLT processor encapsulation
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
Prefix:		%{_prefix}
BuildRequires:	expat-devel libsablotron-devel >= 0.95 perl-devel 
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl 
Requires:	libsablotron0 >= 0.95

%description
The %{module} perl module encapsulate the Sablotron XSLT processor.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_mandir}/*/*
%{perl_vendorarch}/XML/*
%{perl_vendorarch}/auto/XML/*

%changelog
* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 0.97-1mdk
- 0.97.

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-6mdk
- better summary and description
- fix spec permissions

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.95-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.95-4mdk
- rebuild for perl thread-multi

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.95-3mdk
- Automated rebuild with gcc3.2

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.95-2mdk
- rebuild with new perl 5.8.0.
- install in vendor_perl.

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.95-1mdk
- new sablotron 0.95.

* Tue May 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.90-2mdk
- rebuild with gcc 3.1.

* Wed Apr 03 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.90-1mdk
- removed filelist.
- 0.90
- Build against Sablotron 0.90.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.80-1mdk
- 0.80
- Sablotron 0.82.

* Wed Nov 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.71-1mdk
- 0.71.

* Wed Nov 07 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.65-3mdk
- Change permissions for docs.

* Wed Nov  7 2001 Stefan van der Eijk <stefan@eijk.nu> 0.65-2mdk
- BuildRequires: expat-devel
- not a noarch package (rpmlint)

* Tue Nov 06 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.65-1mdk
- First RPM
